| Home | Libraries | People | FAQ | More

#### http::buffer_body::value_type

The type of the body member when used in a message.

##### Synopsis

Defined in header `<boost/beast/http/buffer_body.hpp>`

    struct value_type

##### Data Members

Name | Description
--- | ---
data | A pointer to a contiguous area of memory of size octets, else nullptr.
more | true if this is not the last buffer.
size | The number of octets in the buffer pointed to by data.

##### Description

Convenience header `<boost/beast/http.hpp>`